Bug 73769 - 64 bit .specfile causing build to break on RH 7.3
64 bit .specfile causing build to break on RH 7.3
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: vsftpd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-10 11:34 EDT by R P Herrold
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 19:30:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-09-10 11:34:15 EDT
backbuilding on RH 7.3 from rawHide - ver 1.1.0-1

gcc -c standalone.c -O2 -march=i386 -mcpu=i686 -pipe -D_FILE_OFFSET_BITS=64
-idirafter dummyinc
gcc -c sysutil.c -O2 -march=i386 -mcpu=i686 -pipe -D_FILE_OFFSET_BITS=64
-idirafter dummyinc
gcc -c sysdeputil.c -O2 -march=i386 -mcpu=i686 -pipe -D_FILE_OFFSET_BITS=64
-idirafter dummyinc
In file included from sysdeputil.c:121:
/usr/include/sys/sendfile.h:26:3: #error "<sys/sendfile.h> cannot be used with
_FILE_OFFSET_BITS=64"
make: *** [sysdeputil.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.4979 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.4979 (%build)
Summary: vsftpd - Very Secure Ftp Daemon
Name: vsftpd
Version: 1.1.0
Release: 1
License: GPL
Group: System Environment/Daemons
Source: ftp://ferret.lmh.ox.ac.uk/pub/linux/%{name}-%{version}.tar.gz
Source1: vsftpd.xinetd
Source2: vsftpd.pam
Source3: vsftpd.ftpusers
-rw-rw-r--    1 herrold  herrold    121193 Aug 19 13:46 vsftpd-1.1.0-1.src.rpm
[herrold@oldnews dl]$
Comment 1 R P Herrold 2002-11-12 14:14:30 EST
(workaround is to comment out the 64 bit stuff in the .spec file in pre-RHL 8.x
builds) --

Query -- is supporting 2G+ transfers _appropiate_ for FTP, anyway?  Yeah, yeah,
I know -- silly question.
Comment 2 Bill Nottingham 2002-12-13 19:30:28 EST
Sure, it's appropriate. 1.1.x has native 64-bit support built in, so this isn't
a problem in our 1.1.3-1+ packages.

Note You need to log in before you can comment on or make changes to this bug.